Update a maintenance window.
https://{kibana_url}
- PATCH /api/maintenance_window/{id}
- PATCH /s/{space_id}/api/maintenance_window/{id}
Refer to Spaces for more information.
[Required authorization] Route required privileges: write-maintenance-window.
Path Parameters
-
idstringrequired -
The identifier for the maintenance window.
Request
-
enabledboolean -
Whether the current maintenance window is enabled. Disabled maintenance windows do not suppress notifications.
-
scheduleobject -
customrequired -
durationstring · max: 100required -
The duration of the schedule. It allows values in
<integer><unit>format.<unit>is one ofd,h,m, orsfor hours, minutes, seconds. For example:1d,5h,30m,5000s. -
recurring -
endstring · max: 100 -
The end date of a recurring schedule, provided in ISO 8601 format and set to the UTC timezone. For example:
2025-04-01T00:00:00.000Z. -
everystring · max: 100 -
The interval and frequency of a recurring schedule. It allows values in
<integer><unit>format.<unit>is one ofd,w,M, oryfor days, weeks, months, years. For example:15d,2w,3m,1y. -
occurrencesnumber · min: 1 -
The total number of recurrences of the schedule.
-
onMonthnumber · min: 1 · max: 12 -
The specific months for a recurring schedule. Valid values are 1-12.
-
onMonthDaynumber · min: 1 · max: 31 -
The specific days of the month for a recurring schedule. Valid values are
1to31, or-1for the last day of the month. -
onWeekDaystring · min: 1 · max: 77 -
The specific days of the week (
[MO,TU,WE,TH,FR,SA,SU]) or nth day of month ([+1MO, -3FR, +2WE, -4SA, -5SU]) for a recurring schedule. -
startstring · max: 100required -
The start date and time of the schedule, provided in ISO 8601 format and set to the UTC timezone. For example:
2025-03-12T12:00:00.000Z. -
timezonestring · max: 64 -
The timezone of the schedule. The default timezone is UTC.
-
scope -
alertingobject -
Settings that control how this maintenance window affects Alerting V1 alerts, including an optional KQL filter. If you include
scopebut omitalerting, the maintenance window doesn't affect these alerts. -
enabledboolean -
Whether this maintenance window applies to Alerting V1 alerts. If omitted, is treated as
true. -
alerting_v2object -
Settings that control how this maintenance window affects Alerting V2 alerts, including an optional KQL filter. If you omit
alerting_v2, the maintenance window doesn't affect Alerting V2 alerts. -
enabledboolean -
Whether this maintenance window affects Alerting V2 alerts. Defaults to
true. -
queryobject -
kqlstring · max: 4096required -
A KQL filter that limits which Alerting V2 alerts this maintenance window affects. You can filter on
alert_id,alert_status,group_hash,last_event_timestamp,severity, anddata.*. Matching alerts don't send notifications while the window is active. If you omit query, the window affects all Alerting V2 alerts. -
titlestring -
The name of the maintenance window. While this name does not have to be unique, a distinctive name can help you identify a specific maintenance window.
Responses
Indicates a successful call.
-
created_atstringrequired -
The date and time when the maintenance window was created.
-
created_bystring · default: nullnullable -
The identifier for the user that created the maintenance window.
-
enabledbooleanrequired -
Whether the current maintenance window is enabled. Disabled maintenance windows do not suppress notifications.
-
idstringrequired -
The identifier for the maintenance window.
-
scheduleobjectrequired -
customrequired -
durationstringrequired -
The duration of the schedule. It allows values in
<integer><unit>format.<unit>is one ofd,h,m, orsfor hours, minutes, seconds. For example:1d,5h,30m,5000s. -
recurring -
endstring -
The end date of a recurring schedule, provided in ISO 8601 format and set to the UTC timezone. For example:
2025-04-01T00:00:00.000Z. -
everystring -
The interval and frequency of a recurring schedule. It allows values in
<integer><unit>format.<unit>is one ofd,w,M, oryfor days, weeks, months, years. For example:15d,2w,3m,1y. -
occurrencesnumber -
The total number of recurrences of the schedule.
-
onMonthnumber · max: 12 -
The specific months for a recurring schedule. Valid values are 1-12.
-
onMonthDaynumber · max: 31 -
The specific days of the month for a recurring schedule. Valid values are
1to31, or-1for the last day of the month. -
onWeekDaystring · max: 77 -
The specific days of the week (
[MO,TU,WE,TH,FR,SA,SU]) or nth day of month ([+1MO, -3FR, +2WE, -4SA, -5SU]) for a recurring schedule. -
startstringrequired -
The start date and time of the schedule, provided in ISO 8601 format and set to the UTC timezone. For example:
2025-03-12T12:00:00.000Z. -
timezonestring -
The timezone of the schedule. The default timezone is UTC.
-
scope -
alertingobjectrequired -
Settings that control how this maintenance window affects Alerting V1 alerts, including an optional KQL filter. Always returned when scope is returned. Check
enabledto see whether the maintenance window affects these alerts. -
alerting_v2object -
Settings that control how this maintenance window affects Alerting V2 alerts, including an optional KQL filter. If you omit
alerting_v2, the maintenance window doesn't affect Alerting V2 alerts. -
enabledboolean -
Whether the maintenance window applies to Alerting V2 alerts. If omitted, is treated as
true. -
queryobject -
kqlstring · max: 4096required -
A KQL filter that limits which Alerting V2 alerts this maintenance window affects. It can filter on
alert_id,alert_status,group_hash,last_event_timestamp,severity, anddata.*. Matching alerts don't send notifications while the window is active. If query isn't returned, the window affects all Alerting V2 alerts. -
statusrequired -
The current status of the maintenance window.
-
Values:
runningupcomingfinishedarchiveddisabled -
titlestringrequired -
The name of the maintenance window.
-
updated_atstringrequired -
The date and time when the maintenance window was last updated.
-
updated_bystring · default: nullnullable -
The identifier for the user that last updated this maintenance window.
Indicates an invalid schema or parameters.
Indicates that this call is forbidden.
Indicates a maintenance window with the given ID does not exist.
Indicates that the maintenance window has already been updated by another user.